Bug 186159 - pipe have to be glued to the next command in order to work
pipe have to be glued to the next command in order to work
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: bash (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-21 17:18 EST by BROUSTET Amaël
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-23 04:13:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description BROUSTET Amaël 2006-03-21 17:18:04 EST
Description of problem:
pipes doesn't work as expected : pipe have to be glued to the next command in
order to work, otherwise, the result is a "command not found" (the white spaces
after the pipe are taken as part of the command after the pipe !)


Version-Release number of selected component (if applicable):
FC5 up to date

How reproducible:
always

Steps to Reproduce:
1. open a (gnome) terminal and type 'ls | grep a'
2. making a 'su' or a 'su -' doesn't change anything
  
Actual results:
[a@localhost ~]$ ls | grep a
bash:  grep: command not found


Expected results:
just grep string "a" in the output of ls

Additional info:
Quite surprinsingly 'ls |grep a' work (note the absence of the blank after the
pipe)  !
Comment 1 Tim Waugh 2006-03-22 07:02:42 EST
Perhaps you are accidentally typing Shift-space instead of space?  What happens
when you copy and paste this line?:

ls | grep a
Comment 2 BROUSTET Amaël 2006-03-22 13:41:54 EST
It works. It took me half an hour to understand : I almost always keep alt-gr
pressed when I type the white space after '|' (french keyboard layout). I can't
tell if I began to do that yesterday or if under FC4 the behavior is different
(space = alt-gr space).
Thanks and sorry.

Note You need to log in before you can comment on or make changes to this bug.